Package nl.tudelft.simulation.dsol.tutorial.section44

## Class DiscreteBall

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section44.Ball
  - - nl.tudelft.simulation.dsol.tutorial.section44.DiscreteBall

All Implemented Interfaces:
  `Locatable`

    public class DiscreteBall
    extends Ball

Copyright (c) 2002-2021 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved.

See for project information www.simulation.tudelft.nl.

Author:
  Alexander Verbraeck

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.tutorial.section44.Ball

`destination, origin, RADIUS, rotZ`

### Constructor Summary

Constructors
`DiscreteBall​(DEVSSimulatorInterface.TimeDouble simulator)` constructs a new DiscreteBall.

### Method Summary

All Methods Instance Methods Concrete Methods
`DirectedPoint3d` `getLocation()`

### Methods inherited from class nl.tudelft.simulation.dsol.tutorial.section44.Ball

`getBounds, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.dsol.animation.Locatable

`getDirZ, getZ`

### Constructor Detail

#### DiscreteBall

    public DiscreteBall​(DEVSSimulatorInterface.TimeDouble simulator)
                 throws SimRuntimeException,
                        NamingException,
                        RemoteException

constructs a new DiscreteBall.

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the simulator
Throws:
  `SimRuntimeException` - on schedule failure
  `NamingException` - on animation error
  `RemoteException` - on network error for the animation listener

### Method Detail

#### getLocation

    public DirectedPoint3d getLocation()
                                throws RemoteException

Throws:
  `RemoteException`